# Documentation

Menu

## ReedSolomonEncoder
in package

FinalYes
ReedSolomonEncoder.php : 20

Reed-Solomon encoding - ISO/IEC 18004:2000 Section 8.5 ff

##### Tags

see
  http://www.thonky.com/qr-code-tutorial/error-correction-coding

### Table of Contents

#### Properties

$eccLevel : EccLevel
$interleavedData : array<string|int, mixed>
$interleavedDataIndex : int
$version : Version

#### Methods

__construct() : mixed
  ReedSolomonDecoder constructor
interleaveEcBytes() : array<string|int, mixed>
  ECC interleaving
encode() : array<string|int, mixed>
interleave() : void

### Properties

#### $eccLevel

ReedSolomonEncoder.php : 23
`private EccLevel $eccLevel`

#### $interleavedData

ReedSolomonEncoder.php : 25
`private array<string|int, mixed> $interleavedData`

#### $interleavedDataIndex

ReedSolomonEncoder.php : 26
`private int $interleavedDataIndex`

#### $version

ReedSolomonEncoder.php : 22
`private Version $version`

### Methods

#### __construct()

ReedSolomonEncoder.php : 31

ReedSolomonDecoder constructor

`public __construct(Version $version, EccLevel $eccLevel) : mixed`

##### Parameters

$version : Version
$eccLevel : EccLevel

#### interleaveEcBytes()

ReedSolomonEncoder.php : 41

ECC interleaving

`public interleaveEcBytes(BitBuffer $bitBuffer) : array<string|int, mixed>`

##### Parameters

$bitBuffer : BitBuffer

##### Tags

throws
  QRCodeException

##### Return values

array<string|int, mixed>

#### encode()

ReedSolomonEncoder.php : 84
`private encode(array<string|int, mixed> $dataBytes, int $ecByteCount) : array<string|int, mixed>`

##### Parameters

$dataBytes : array<string|int, mixed>
$ecByteCount : int

##### Return values

array<string|int, mixed>

#### interleave()

ReedSolomonEncoder.php : 112
`private interleave(array<string|int, mixed> $byteArray, int $maxBytes, int $numRsBlocks) : void`

##### Parameters

$byteArray : array<string|int, mixed>
$maxBytes : int
$numRsBlocks : int

## Search results